<?php



define('WRB_JOB_CRONJOB',770);
$data['action'] = WRB_JOB_CRONJOB;
$data['sessionid'] = rand(10000,99999)."A".rand(10000,99999); // dummy for a start
$data['limit'] = 4;

$out = array();
$ret = wrenchboard_cron_api($data,$out,'cron');


echo "=========================================================.....======================================";
var_dump($out);

 function wrenchboard_cron_api($in, &$out = array(),$pathWay='') {
    $ret = 0;
      $REACT_APP_AUX_ENDPOINT   = "http://10.204.5.100:9083/en/wrench/api/v1"; //"https://apigate.lotus.g1.wrenchboard.com/svs/user";
  $REACT_APP_USERS_ENDPOINT = "http://10.204.5.100:9083/en/wrench/api/v1"; // "https://apigate.lotus.g1.wre
      //  $urlPath =  ($pathWay!='')? $pathWay :$this->baseUrlPath($in);
        $local_url = $REACT_APP_USERS_ENDPOINT; 
        $url = $local_url ."/".$pathWay; //"/generics";
        $data = $in;

        $content = json_encode($data);

        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_HEADER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type" => "application/json"));
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $content);

        $json_response = curl_exec($curl);
        $status = curl_getinfo($curl, CURLINFO_HTTP_CODE);

        if ($status != 200) {
            echo ("Error: call to URL $url failed with status $status, response $json_response,  | curl_error " . curl_error($curl) . ", | curl_errno " . curl_errno($curl));
        }

        curl_close($curl);
        $response = json_decode($json_response, true);
      // $this->showResult($url, $in, $response);
    $out = $response;
    return $response["internal_return"];
}
